import request from '@/utils/request';

export function getRoutes(query: any) {
	return request({
		url: '/api/api/menu/menuRole',
		method: 'get',
		params: query,
	});
}

// 查询菜单下拉树结构
// export function treeselect() {
// 	return request({
// 		url: '/api/system/menu/menuTreeSelect',
// 		method: 'get',
// 	});
// }

export function treeselect() {
	return request({
		url: '/api/menu/menuTreeSelect',
		method: 'get',
	});
}

// 根据角色ID查询菜单下拉树结构
// export function roleMenuTreeselect(roleId: number) {
// 	return request({
// 		url: '/api/system/menu/roleMenuTreeSelect/' + roleId,
// 		method: 'get',
// 	});
// }
export function roleMenuTreeselect(roleId: number) {
	return request({
		url: '/api/menu/roleMenuTreeSelect/' + roleId,
		method: 'get',
	});
}

// 查询菜单列表
// export function listMenu(query: Array<object>) {
// 	return request({
// 		url: '/api/system/menu/list',
// 		method: 'get',
// 		params: query,
// 	});
// }
export function listMenu(query: Array<object>) {
	return request({
		url: '/api/menu/list',
		method: 'get',
		params: query,
	});
}

// 查询菜单详细
// export function getMenu(menuId: number) {
// 	return request({
// 		url: '/api/system/menu/' + menuId,
// 		method: 'get',
// 	});
// }

// 新增菜单
// export function addMenu(data: any) {
// 	return request({
// 		url: '/api/system/menu',
// 		method: 'post',
// 		data: data,
// 	});
// }

export function addMenu(data: any) {
	return request({
		url: '/api/menu/list',
		method: 'post',
		data: data,
	});
}

// 修改菜单
// export function updateMenu(data: any) {
// 	return request({
// 		url: '/api/system/menu',
// 		method: 'put',
// 		data: data,
// 	});
// }

export function updateMenu(filter: any, data: any) {
	return request({
		url: `/api/menu/list/${filter}`,
		method: 'put',
		data: data,
	});
}
// 删除菜单
export function delMenu(menuId: number) {
	return request({
		url: '/api/menu/list/' + menuId,
		method: 'delete',
	});
}
